server:
  port: 8081
spring:
  application:
    name: hello-provider-service
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848
    sentinel:
      transport:
        dashboard: 127.0.0.1:8080
dubbo:
  application:
    name: hello-provider-service
  registry:
    address: spring-cloud://127.0.0.1
    username: nacos
    password: nacos
  scan:
    base-packages: demo.helloprovider
  protocol:
    name: dubbo
  #port: 20880
    port: -1


